%define major 	1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d
%define realversion 1.7.9

Name: eet
Version: 20131105
Release: %mkrel 1
License: BSD
Summary: Eet library
Group: Graphical desktop/Enlightenment
Source: %name-%realversion.tar.xz
BuildRoot: %_tmppath/%name-buildroot
URL: http://www.enlightenment.org/
# Common
BuildRequires: jpeg-devel 
BuildRequires: zlib-devel 
BuildRequires: gnutls-devel
BuildRequires: openssl-devel
BuildRequires: doxygen
# Enlightenment BR
BuildRequires: eina-devel

 
%description
Eet is a tiny library designed to write an arbitary set of chunks of data
to a file and optionally compress each chunk (very much like a zip file)
and allow fast random-access reading of the file later on. It does not
do zip as a zip itself has more complexity than is needed, and it was much
simpler to impliment this once here.

This package is part of the E17 desktop shell.

%package devel
Summary: Eet headers, static libraries, documentation and test programs
Group: Development/Libraries
Requires: %{name} = %{version}
Provides: %name-devel = %version-%release
Provides: lib%name-devel = %version-%release


%description devel
Headers and static libraries from eet

%prep
%setup -q -n %name-%realversion


%build
%configure2_5x --disable-static
%make

%install
rm -fr %buildroot
%makeinstall_std

find %{buildroot} -name '*.la' | xargs rm

%clean
rm -rf %buildroot


%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%_bindir/%name
%_libdir/libeet.so.%{major}*
%_datadir/eet/examples/*

%files devel
%defattr(-,root,root)
%_libdir/*.so
%_libdir/pkgconfig/*.pc
%_includedir/eet-1



%changelog
* Tue Nov 05 2013 Texstar <texstar at gmail.com> 20131105-1pclos2013
- 1.7.9

